classification
Title: Implement PEP 553 - built-in breakpoint()
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: barry Nosy List: Ethan Smith, alkuzad, barry, r.david.murray, serhiy.storchaka
Priority: normal Keywords:

Created on 2017-09-05 20:44 by barry, last changed 2018-07-09 17:47 by barry. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3355 merged barry, 2017-09-05 20:44
Messages (6)
msg301372 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2017-09-05 20:44
Placeholder issue for discussion of the design of the implementation of PEP 553.
msg302109 - (view) Author: Dawid Gosławski (alkuzad) Date: 2017-09-13 19:54
Will that be backported also to Python2.7 ? I personally do not see a reason to teach old dog new tricks but it seems appropriate in such core things. New users could transition easier, otherwise this would be next py2<->py3 difference to explain every time someone uses new code.
msg302110 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2017-09-13 20:00
It is a new feature, so no it would not be backported.
msg303573 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2017-10-03 00:22
PEP is accepted.  PR needs review.
msg321306 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-07-09 09:23
Is it needed to specify the fromlist argument for PyImport_ImportModuleLevelObject()? The only effect of this is that Python will try to import the hook as a submodule if it is not an attribute of the parent module. But I think that callable modules is very uncommon case and we should not support is specially. Getting rid of the fromlist argument will simplify the code.
msg321337 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2018-07-09 17:47
It's a convenient API.  I think originally I may have just don't effectively a getattr on the imported module, but I don't remember (and don't have original implementation handy - thanks, rebase!)

I don't have particularly strong feelings on the matter.  If you want to submit a PR, I'll take a look.  I suppose technically it *is* a functional change that might not be acceptable now that 3.7.0 is released though.
History
Date User Action Args
2018-07-09 17:47:30barrysetmessages: + msg321337
2018-07-09 09:23:15serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg321306
2017-10-05 16:11:54barrysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-10-03 05:50:21serhiy.storchakasettitle: Implement PEP 553 - built-in debug() -> Implement PEP 553 - built-in breakpoint()
2017-10-03 00:22:53barrysetmessages: + msg303573
stage: patch review
2017-09-13 20:00:14r.david.murraysettype: enhancement

messages: + msg302110
nosy: + r.david.murray
2017-09-13 19:54:43alkuzadsetnosy: + alkuzad
messages: + msg302109
2017-09-06 08:11:29Ethan Smithsetnosy: + Ethan Smith
2017-09-05 20:44:52barrysetpull_requests: + pull_request3370
2017-09-05 20:44:20barrycreate